package com.red.circle.game.fruit.infrastructure.database.repository;

import com.red.circle.framework.mybatis.service.BaseService;
import com.red.circle.game.fruit.application.dto.clientobject.GameFruitAwardRecordCO;
import com.red.circle.game.fruit.application.dto.cmd.UserBetCmd;
import com.red.circle.game.fruit.infrastructure.database.entity.GameFruitUser;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 服务类.
 * </p>
 *
 * @author lisizhe on 2023-11-30 19:17
 */
public interface GameFruitUserService extends BaseService<GameFruitUser> {

  void updateBetAmount(UserBetCmd cmd);

  GameFruitUser getGameUser(Long userId);

  void addGameUser(Long userId, String origin);

  void updateUserActiveTime(Long userId);

  void plusProfit(List<GameFruitAwardRecordCO> gameFruitAwardRecords);

  Map<Long, GameFruitUser> mapGameFruitUser(Set<Long> userIds);
}
